@echo off

rem Adapter ci-dessous les variables WXVERSION (version de wxWidgets), WXVER et WXBASE (chemin de la distribution wxWidgets)
rem par exemple WXVER=29 pour la WXVERSION=2.9.x et WXVER=30 pour WXVERSION=3.0.x
rem Adapter aussi le chemin WXBASE de la distribution wxWidgets

set WXVERSION=3.2.4
set WXVER=32
set WXBASE="%HOMEPATH%\wxWidgets-%WXVERSION%"

set VCID=%1

if not %VCID% geq 17 (
	echo VCID vaut %VCID% mais doit valoir 17, 19 ou 22
	goto END
)
if not "%2" == "64" if not "%2" == "32" (
	echo le second paramètre de ce script vaut %2 mais doit valoir 64 ou 32
	goto END
)

echo architecture %2 bits

if %VCID% geq 22 (
	call "C:\Program Files\Microsoft Visual Studio\20%VCID%\Community\VC\Auxiliary\Build\vcvars%2.bat"
) else (
	call "C:\Program Files (x86)\Microsoft Visual Studio\20%VCID%\Community\VC\Auxiliary\Build\vcvars%2.bat"
)
if "%2" == "64" (set "ARCH=x%2")
if "%2" == "32" (set "ARCH=x86")


set DEFINES=/D WIN32 /D _CRT_SECURE_NO_DEPRECATE=1 /D _CRT_NON_CONFORMING_SWPRINTFS=1 /D _SCL_SECURE_NO_WARNINGS=1 /D __WXMSW__ /D NDEBUG /D _WINDOWS /D NOPCH /D _UNICODE /D UNICODE
set WXLIBS=wxmsw%WXVER%u_stc.lib wxmsw%WXVER%u_core.lib wxbase%WXVER%u.lib wxscintilla.lib wxtiff.lib wxjpeg.lib wxpng.lib wxzlib.lib wxregexu.lib wxexpat.lib
set WINLIBS=kernel32.lib user32.lib gdi32.lib comdlg32.lib winspool.lib winmm.lib shell32.lib comctl32.lib ole32.lib oleaut32.lib uuid.lib rpcrt4.lib advapi32.lib wsock32.lib wininet.lib odbc32.lib odbccp32.lib shlwapi.lib
set LINKOPTIONS=/INCREMENTAL:NO /NOLOGO /SUBSYSTEM:WINDOWS /DYNAMICBASE /NXCOMPAT /MANIFEST /MANIFESTFILE:".\temp.manifest" /MANIFESTUAC:"level='asInvoker' uiAccess='false'" /MACHINE:%ARCH%
set WINCAMLBASE=.\..\..\..
if exist "%WXBASE%\lib\vc_%ARCH%_lib\" (set "WXVCLIB=vc_%ARCH%_lib") else (set WXVCLIB=vc_lib)
cl.exe /std:c++17 /O2 %DEFINES% /EHsc /MD /Fo".\\" /W3 /c /TP /I%WXBASE%\lib\%WXVCLIB%\mswu /I%WXBASE%\include  %WINCAMLBASE%\sources\wx\*.cpp %WINCAMLBASE%\sources\All\*.cpp
rc.exe /fo ".\WinCaml.res" "%WINCAMLBASE%\sources\wx\resources\WinCaml.rc"
link.exe /OUT:".\WinCaml.exe" %LINKOPTIONS% /LIBPATH:%WXBASE%\lib\%WXVCLIB% %WXLIBS% %WINLIBS% ".\WinCaml.res" ".\*.obj"
mt.exe /outputresource:".\WinCaml.exe;#1" /manifest ".\temp.manifest" /nologo"

del .\*.obj
del .\*.res
del .\temp.manifest

mkdir WinCaml7
move /y WinCaml.exe WinCaml7
copy %WINCAMLBASE%\sources\Win\WinCamlInit.bat WinCaml7
xcopy /q /e /s /y /i %WINCAMLBASE%\caml\doc WinCaml7\doc\
xcopy /q /e /s /y /i %WINCAMLBASE%\caml\exemples WinCaml7\exemples\
:END
echo Appuyer sur une touche pour quitter...
pause > nul
