/*
Program WinCaml: Graphical User Interface
for interactive use of Caml-Light and Ocaml.
Copyright (C) 2005-2024 Jean Mouric 35700 Rennes France
email: jean.mouric@orange.fr

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>. 
*/

// File resource.h

#ifdef  _WINDOWS_PLATFORM_

#define IDR_MAINFRAME             128
#define IDR_WINCAMLTYPE           129

#define IDR_MAINMENU              102
#define IDR_BITMAP                103

#define IDD_DIALOG1               131
#define IDC_SPIN1                1004
#define IDC_EDIT1                1005
#define IDC_STATIC               1008

#endif

#define FILE_NEW                40001
#define FILE_OPEN1              40002
#define FILE_CLOSE              40003
#define FILE_SAVE               40004
#define FILE_SAVEAS             40005
#define FILE_SAVEASFORMATTED    40006
// separator
#define FILE_PRINT              40007
#define FILE_PRINTSETUP         40008
// separator
#define FILE_LIST               40009
#define FILE_MRU1               40010
#define FILE_MRU2               40011
#define FILE_MRU3               40012
#define FILE_MRU4               40013
#define FILE_MRU5               40014
#define FILE_MRU6               40015
#define FILE_MRU7               40016
#define FILE_MRU8               40017
// separator
#define FILE_EXIT               40018


#define EDIT_UNDO               40019
#define EDIT_REDO               40020
// separator
#define EDIT_CUT                40021
#define EDIT_COPY               40022
#define EDIT_PASTE              40023
#define EDIT_SELECTALL          40024
// separator
#define EDIT_FIND               40025
#define EDIT_REPLACE            40026
// separator
#define EDIT_INDENTMODE         40027
#define EDIT_TABWIDTH           40028
#define EDIT_INDENTAFTERIN      40029
#define EDIT_INDENTFILTER       40030
#define EDIT_INDENTOCAML        40031
// separator
#define EDIT_INDENT             40032


#define VIEW_SPLIT              40033
#define VIEW_INPUTONLY          40034
#define VIEW_OUTPUTONLY         40035
#define VIEW_BOTH               40036
// separator
#define VIEW_INPUTFONT          40037
#define VIEW_OUTPUTFONT         40038
// separator
#define VIEW_WRAPINPUT          40039
#define VIEW_WRAPOUTPUT         40040
// separator
#define VIEW_SYNTAXCOLOR        40041
#define VIEW_DARKMODE           40042
// separator
#define VIEW_TOOLBAR            40043
#define VIEW_STATUSBAR          40044


#define COLOR_BUFFERBACKGROUND  40045
#define COLOR_COMMANDBACKGROUND 40046
#define COLOR_OUTPUT            40047
#define COLOR_INPUTBACKGROUND   40048
#define COLOR_OUTPUTBACKGROUND  40049
#define COLOR_SELECTION			40050
#define COLOR_MATCHING			40051
// separator
#define COLOR_NUMBER            40052
#define COLOR_KEYWORD           40053
#define COLOR_DELIMITER         40054
#define COLOR_OPERATOR          40055
#define COLOR_STRING            40056
#define COLOR_COMMENT           40057


#define ENCODING_UNIX           40058
#define ENCODING_MAC            40059
#define ENCODING_WIN            40060
#define ENCODING_UTF8           40061
// separator
#define ENCODING_AUTO           40062


#define CAML_SEND               40063
#define CAML_INTERRUPT          40064
#define CAML_STOP               40065
#define CAML_CLEAROUTPUT        40066
// separator
#define CAML_NEW				40067


#define CAMLTOP_CAMLLIGHT       40068
#define CAMLTOP_OCAML           40069
// separator
#define CAMLTOP_START           40070


#define OUTPUT_SHORT            40071
#define OUTPUT_MEDIUM           40072
#define OUTPUT_LONG             40073


#define WINDOW_CASCADE          40074
#define WINDOW_TILE             40075


#define HELP_CAMLLIGHT          40076
#define HELP_OCAML              40077
// separator
#define HELP_DEFAULTCONFIG      40078
// separator
#define HELP_ABOUT              40079
